def cleanup(df):
    df = df.drop(["title", "link"], axis=1)
    df = df[df["fuel"] != "LPG"]
    df = df[df["vol_engine"] > 500]
    df = df[df["price"] < 2_500_000]
    df = df[df["year"] > 1990]
    df["vol_engine"] = df["vol_engine"] / 1000
    df.loc[df["year"] == 2023, "year"] = 2022
    df["mark"] = df["mark"].apply(lambda x: x.capitalize())
    df.loc[df["mark"]=="Mercedes-benz", 'mark'] = "MercedesBenz"
    df.loc[df["mark"]=="Alfa-romeo", 'mark'] = "AlfaRomeo"

    return df
